summaryrefslogtreecommitdiffstats
path: root/games/scummvm/scummvm.SlackBuild
diff options
context:
space:
mode:
author Carlos Corbacho2018-01-07 11:37:13 +0100
committer Willy Sudiarto Raharjo2018-01-10 17:55:48 +0100
commiteb7ac7304e74f03ce410a121817e2ef4d6cb6089 (patch)
tree9b6e4e4bdd2eb3a5d389d490eab1ffa0bb3f7a01 /games/scummvm/scummvm.SlackBuild
parent693928d174683d30cd9f7c09ea422b080cac46be (diff)
downloadslackbuilds-eb7ac7304e74f03ce410a121817e2ef4d6cb6089.tar.gz
games/scummvm: Updated for version 2.0.0.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/scummvm/scummvm.SlackBuild')
-rw-r--r--games/scummvm/scummvm.SlackBuild25
1 files changed, 13 insertions, 12 deletions
diff --git a/games/scummvm/scummvm.SlackBuild b/games/scummvm/scummvm.SlackBuild
index 3063d32469..48b1b0df23 100644
--- a/games/scummvm/scummvm.SlackBuild
+++ b/games/scummvm/scummvm.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for scummvm
# Copyright 2006 Halim Issa <yallaone@gmail.com>
-# Copyright 2008, 2010, 2012-2014 Carlos Corbacho <carlos@strangeworlds.co.uk>
+# Copyright 2008, 2010, 2012-2018 Carlos Corbacho <carlos@strangeworlds.co.uk>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,13 +24,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=scummvm
-VERSION=${VERSION:-1.7.0}
+VERSION=${VERSION:-2.0.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -41,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -57,12 +57,14 @@ fi
DOCS="AUTHORS COPYING* COPYRIGHT NEWS README TODO"
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -77,11 +79,10 @@ CXXFLAGS="$SLKCFLAGS" \
--bindir=/usr/games \
--libdir=/usr/lib$LIBDIRSUFFIX \
--mandir=/usr/man \
- --disable-debug \
- || exit 1
+ --disable-debug
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
# The .desktop file for the menu is not being installed
install -D -m 0644 dists/scummvm.desktop \